Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.rest.repr
Class OutputFormat

    java.lang.Object
      org.neo4j.server.rest.repr.OutputFormat

    public class OutputFormat

extends Object

Constructor Summary
`OutputFormat(RepresentationFormat format, URI baseUri, ExtensionInjector extensions)`

Method Summary
`javax.ws.rs.core.Response` | `badRequest(Throwable exception)`
`javax.ws.rs.core.Response` | `conflict(Throwable exception)`
`
`<REPR extends Representation & EntityRepresentation> javax.ws.rs.core.Response`
` | `created(REPR representation)`
`String` | `format(Representation representation)`
`javax.ws.rs.core.MediaType` | `getMediaType()`
`javax.ws.rs.core.Response` | `noContent()`
`javax.ws.rs.core.Response` | `notFound()`
`javax.ws.rs.core.Response` | `notFound(Throwable exception)`
`javax.ws.rs.core.Response` | `ok(Representation representation)`
`protected javax.ws.rs.core.Response` | `response(javax.ws.rs.core.Response.ResponseBuilder response, Representation representation)`
`javax.ws.rs.core.Response` | `response(javax.ws.rs.core.Response.Status status, Representation representation)`
`javax.ws.rs.core.Response` | `serverError(Throwable exception)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputFormat

    public OutputFormat(RepresentationFormat format,
                        URI baseUri,
                        ExtensionInjector extensions)

Method Detail

### ok

    public final javax.ws.rs.core.Response ok(Representation representation)

### created

    public final <REPR extends Representation & EntityRepresentation> javax.ws.rs.core.Response created(REPR representation)
                                            throws BadInputException

  Throws:
    `BadInputException`

### response

    public final javax.ws.rs.core.Response response(javax.ws.rs.core.Response.Status status,
                                                    Representation representation)
                                             throws BadInputException

  Throws:
    `BadInputException`

### badRequest

    public javax.ws.rs.core.Response badRequest(Throwable exception)

### notFound

    public javax.ws.rs.core.Response notFound(Throwable exception)

### notFound

    public javax.ws.rs.core.Response notFound()

### conflict

    public javax.ws.rs.core.Response conflict(Throwable exception)

### serverError

    public javax.ws.rs.core.Response serverError(Throwable exception)

### response

    protected javax.ws.rs.core.Response response(javax.ws.rs.core.Response.ResponseBuilder response,
                                                 Representation representation)

### getMediaType

    public javax.ws.rs.core.MediaType getMediaType()

### format

    public String format(Representation representation)

### noContent

    public javax.ws.rs.core.Response noContent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.